
* 所有组件重构，减小了整体包的体积

  * 组件中增加了 `color` 和 `*-color` 属性，用于改变组件显示;
  * 基于 vuejs 2.5 的 API，支持标签原生属性、事件（无需使用 `.native` 监听, 另外部分属性的双向绑定，例如：`mu-dialog` 中 `open.sync`;
  * 新增 [mu-data-table](#/zh-CN/data-table) 替换了 `mu-table` 组件，使用 `slot-scope` 是的表格功能更加强大;
  * 新增 [mu-date-input](#/zh-CN/date-input) 用于日期和事件的输入, 而 `mu-date-picker` 和 `mu-time-picker` 则于输入框分隔开来;
  * [mu-select](#/zh-CN/select) 组件更改，需要与 `mu-option` 组件配合使用，支持搜索和自定义选项模板功能;
  * [mu-list](#/zh-CN/list) 组件使用方式更改，需要与 `mu-list-item-*` 系列组件配合使用;
  * [mu-popover](#/zh-CN/popover), [mu-menu](#/zh-CN/menu), [mu-tooltip](#/zh-CN/tooltip) 现在用 `placement` 参数改变弹出位置;
  * [mu-snackbar](#/zh-CN/snackbar) 组件增加 `position` 参数更改弹出位置，并增加多行文本的显示样式;

* 部分组件合并处理

  * `mu-icon-button` `mu-flat-button` `mu-raised-button` `mu-float-button` 合并为 `mu-button`

    ```html
    <mu-button icon>button</mu-button>
    <mu-button flat>button</mu-button>
    <mu-button>button</mu-button>
    <mu-button fab>button</mu-button>
    ```

  * `mu-icon-menu` `mu-dropdown-menu` `mu-menu` 合并为 `mu-menu`

    ```html
    <mu-menu>
      <mu-button icon><mu-icon value="menu"><mu-icon></mu-button>
      <mu-list slot="content">
        <mu-list-item button><mu-list-item-title>Menu Item 1</mu-list-item-title></mu-list-item>
      </mu-list>
    </mu-menu>
    ```
* 删除部分组件

  * `mu-auto-complete` 因时间原因暂未重构，后续会添加次组件；
  * `mu-toast` 该组件与 mu-snackbar 重复所以移出;
  * `mu-table` 使用 `mu-data-table` 替换;
  * `mu-flexbox`, `mu-flexbox-item` 使用 `mu-flex` 替换;
  * `mu-backtop`;
  * `mu-infinite-scroll`,`mu-picker`, `mu-refresh-control` 手机端组件将重新设计，目前不加入组件库;
  * `mu-timeline`, `mu-timeline-item` 使用 `mu-stepper` 可实现时间线功能，现移出。
  * `mu-popup` 此组件以 `mu-dialog` 重复;

* 新增 `mu-alert`, `mu-date-input`, `mu-flex`, `mu-data-table` 组件
* 颜色主题使用方式更改，组件中带有 `color` 或是 `*-color` 属性用于定义组件颜色，可以使用 js [自定义主题](#/zh-CN/theme);

  ```javascript
  import theme from 'muse-ui/lib/theme';
  theme.add('teal', {
    primary: '#009688',
    secondary: '#ff4081',
    success: '#4caf50',
    warning: '#ffeb3b',
  }, 'light');

  theme.use('teal');
  ```

* [栅格布局](#/zh-CN/grid)组件实现更改，引入了 [Bootstrap 4.0](https://getbootstrap.com/docs/4.0/layout/grid/) 的栅格系统

* 单组件加载方式更改，无需更改webpack配置方式进行单组件加载 [查看文档](#/zh-CN/usage)
* Muse-UI 官网更新
